import { TestBackend } from 'react-dnd-test-backend';
import { DndComponent } from 'react-dnd';
import { Backend } from 'dnd-core';
/**
 * Wrap a DnD component or test case in a DragDropContext
 *
 * @param DecoratedComponent The component to decorate
 */
export declare function wrapInTestContext(DecoratedComponent: any): any;
/**
 * Extracts a Backend instance from a TestContext component, such as
 * one emitted from `wrapinTestContext`
 *
 * @param instance The instance to extract the backend fram
 * @deprecated - This is no longer useful since ContextComponent was removed. This will be removed in a major version cut.
 */
export declare function getBackendFromInstance<T extends Backend>(instance: DndComponent<any>): T;
export declare function simulateDragDropSequence(source: DndComponent<any>, target: DndComponent<any>, backend: TestBackend): void;
export declare function simulateHoverSequence(source: DndComponent<any>, target: DndComponent<any>, backend: TestBackend): void;
